petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexInterpolate

Take in a cell-vertex mesh and return one with all intermediate faces, edges, etc.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexInterpolate(DM dm, DM *dmInt)

Collective on DM Many br

### Input Parameters

| dm | - The DMPlex object with only cells and vertices Many br
| dmInt | - If NULL a new DM is created, otherwise the interpolated DM is put into the given DM Many br

### Output Parameter

dmInt -The complete DMPlex object Many br

Many br

### Keywords

mesh

### See Also

DMPlexUninterpolate(), DMPlexCreateFromCellList()

Level:intermediate
Location:src/dm/impls/plex/plexinterpolate.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages